Subject: Re: [PATCH net-next] gve: add XDP metadata support for DQ RDA

From: Simon Horman <[email-masked]>
Date: Thu, 19 Mar 2026 20:02:43 +0000

On Tue, Mar 17, 2026 at 09:03:28AM -0500, Joshua Washington wrote:
> Hello, the commit referenced here should have been
> 1b42e07af1ee ("gve: Add Rx HWTS metadata to AF_XDP ZC mode"). I had
> mistakenly drawn the hash from a different repo. I can respin this
> change once others have reviewed it and left potential feedback.
> 
> 
> On Mon, Mar 16, 2026 at 6:04 PM Joshua Washington <[email-masked]> wrote:
> >
> > Commit daa7ff1e1269 ("gve: Add Rx HWTS metadata to AF_XDP ZC mode")
> > exposes support for the XDP RX timestamping metadata operation in the DQ
> > RDA mode. While the operation works on its own, the intent was to enable
> > XDP metadata support for the queue format as a whole along with it.
> > Currently bfp_xdp_adjust_meta fails because meta_valid is set to false.

If you respin, then s/bfp/bpf as suggested by AI generated code review.

> > This change updates xdp_buff preparation to set meta_valid to true, so
> > metadata can be fully used by XDP programs.
> >
> > Reviewed-by: Harshitha Ramamurthy <[email-masked]>
> > Reviewed-by: Jordan Rhee <[email-masked]>
> > Signed-off-by: Joshua Washington <[email-masked]>

...